Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Type_Dcl Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Type_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Type_Dcl:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Type_Dcl (TAO_PSDL_Node *type_of_type_dcl)
| ****************************************************************
| TAO_PSDL_Type_Dcl (int key_word, TAO_PSDL_Node *type_of_type_dcl)
virtual | ~TAO_PSDL_Type_Dcl (void)
int | key_word (void) const
| Get the value.
TAO_PSDL_Node * | type_of_type_dcl (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

int | key_word_
| The values.
TAO_PSDL_Node * | type_of_type_dcl_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Type_Dcl::TAO_PSDL_Type_Dcl | ( | TAO_PSDL_Node * | type_of_type_dcl | ) |

| ****************************************************************

TAO_PSDL_Type_Dcl::TAO_PSDL_Type_Dcl | ( | int | key_word,
|  | TAO_PSDL_Node * | type_of_type_dcl
| ) |

TAO_PSDL_Type_Dcl::~TAO_PSDL_Type_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Type_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

int TAO_PSDL_Type_Dcl::key_word | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Type_Dcl::type_of_type_dcl | ( | void |  | ) | const

## Member Data Documentation

int TAO_PSDL_Type_Dcl::key_word_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Type_Dcl::type_of_type_dcl_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp